Bug 138301 - Calc: Data->Validity->Allow:Custom and the associated Formula have no help entry
Summary: Calc: Data->Validity->Allow:Custom and the associated Formula have no help entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-11-18 00:00 UTC by Regina Henschel
Modified: 2021-01-05 03:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-11-18 00:00:23 UTC
Take a spreadsheet and enter number 2 in cell A1 and number 3 in cell A2.
Go to cell A3 and open menu Data > Validity.
Select "Custom" from the 'Allow:' drop-down list in tab 'Criteria'. You get a new field 'Formula'.
Enter text A3=A1+A2 into this field. That would be a valid entry. You can try it out later.

Now click on button "Help". You get the correct help page, but neither the entry "Custom" nor the field "Formula" are mentioned.


To try the formula close the dialog. Enter number 6 into cell A3. You should get an error message. Only number 5 will be accepted.

The formula can be any expression that evaluates to a boolean value "true" or "false".
Comment 1 Xisco Faulí 2020-12-07 16:52:30 UTC
Help button opens https://help.libreoffice.org/7.2/en-US/text/scalc/01/12120100.html?System=UNIX&DbPAR=CALC&HID=modules/scalc/ui/validationcriteriapage/ValidationCriteriaPage#bm_id3145673
No mention of Formula there

Version: 7.2.0.0.alpha0+
Build ID: 84af20ef3ea72190784e9e7be820684c2558ba8c
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Commit Notification 2020-12-10 14:50:51 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/9512494c315aee4af46fa9a9eca0e4be0210e3cd

tdf#138301,tdf#130738 add "Custom" condition in Data>Validity-Criteria help
Comment 3 Regina Henschel 2021-01-04 21:07:24 UTC
The text
<quote>
Formulas can use relative referencing. For example, if cells A1:A4 were selected and ISODD(A1) is entered into the Formula box, then only odd numbers could be entered into cells A1 through A4.
</quote>
is misleading.

If you select a range, the cell with the current cell cursor uses the entered formula. For other cells in the marked range, addresses in the formula are adapted accordingly to their relative position to the current cell.

So when you mark A1:A4 with cell cursor in A1 and formula ISODD(A1), then cell A2 gets the condition ISODD(A2).
But when you mark A1:A4 and cell cursor is in A4 and you use formula ISODD(A1), then cell A4 gets the condition ISODD(A1) and cell A1 gets the erroneous condition ISODD(A#REF!).
Comment 4 Commit Notification 2021-01-05 03:18:31 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/19c16ab2f12ea315fe96951023baab7c66495cbb

tdf#138301 - clarification of Data Validity example